FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Port details
avidemux Simple GUI based video editor
2.6.11_5 multimedia on this many watch lists=6 search for ports that depend on this port This port version is marked as vulnerable. Find issues related to this port Report an issue related to this port
Maintainer: multimedia@FreeBSD.org search for ports maintained by this maintainer
Port Added: 04 Apr 2003 01:39:14
License: GPLv2
A video editor that allows editing of AVI, OGM, and MPEG videos. The MPEG
support provides the ability to convert to DVD compliat PS streams. It
contains various filters for deinterlacing, cropping, resizing, etc. Allows
for cutting without re-encoding. Has the ability to re-encode and re-sample.
Utilizes ECMAScript (aka. Javascript) to provide batch scripting and
processing support.

WWW: http://avidemux.org/
SVNWeb : Homepage : PortsMon

To install the port: cd /usr/ports/multimedia/avidemux/ && make install clean
To add the package: pkg install avidemux

PKGNAME: avidemux

distinfo:

SHA256 (avidemux_2.6.11.tar.gz) = 936ff5e10ad0551460c1233c217e4cee642623f2899a8fe48cd7f0144cfd1b3a
SIZE (avidemux_2.6.11.tar.gz) = 17980757


Slave ports
  1. multimedia/avidemux-cli
  2. multimedia/avidemux-plugins
  3. multimedia/avidemux-qt4

NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. yasm : devel/yasm
  2. bash : shells/bash
  3. as : devel/binutils
  4. cmake : devel/cmake
  5. pkgconf>=0.9.10 : devel/pkgconf
  6. gmake : devel/gmake
  7. msgfmt : devel/gettext-tools
  8. gcc49 : lang/gcc
  9. as : devel/binutils
  10. xv.pc : x11/libXv
  11. libQtGui.so : x11-toolkits/qt4-gui
  12. linguist-qt4 : devel/qt4-linguist
  13. moc-qt4 : devel/qt4-moc
  14. qmake-qt4 : devel/qmake4
  15. rcc : devel/qt4-rcc
  16. uic-qt4 : devel/qt4-uic
  17. sdl-config : devel/sdl12
Runtime dependencies:
  1. gcc49 : lang/gcc
  2. xv.pc : x11/libXv
  3. libQtGui.so : x11-toolkits/qt4-gui
Library dependencies:
  1. libmad.so : audio/libmad
  2. libdca.so : multimedia/libdca
  3. libpng.so : graphics/png
  4. libfreetype.so : print/freetype2
  5. libfontconfig.so : x11-fonts/fontconfig
  6. libfaac.so : audio/faac
  7. libmp3lame.so : audio/lame
  8. libfaad.so : audio/faad
  9. libx264.so : multimedia/libx264
  10. libvpx.so : multimedia/libvpx
  11. libxvidcore.so : multimedia/xvid
  12. libvdpau.so : multimedia/libvdpau
  13. libvorbis.so : audio/libvorbis
  14. libopencore-amrnb.so : audio/opencore-amr
  15. libiconv.so : converters/libiconv
  16. libsqlite3.so : databases/sqlite3
  17. libintl.so : devel/gettext-runtime
  18. libxml2.so : textproc/libxml2
  19. libxslt.so : textproc/libxslt
  20. libSDL.so : devel/sdl12

This port is required by:

for Libraries * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...
Configuration Options
===> The following configuration options are available for avidemux-2.6.11_5:
     AMR=on: AMR 3GPP speech codec support (opencore)
     CLI=off: Build CLI tool
     ESOUND=off: EsounD sound server support
     FAAC=on: FAAC AAC encoder support
     FAAD=on: FAAD AAC decoder support
     FONTCONFIG=on: X11 font configuration support
     FREETYPE=on: TrueType font rendering support
     FRIBIDI=off: Bidirectional text support via GNU FriBidi
     JACK=off: JACK audio server support
     LAME=on: LAME MP3 audio encoder support
     NLS=on: Native Language Support
     OPUS=off: Opus audio codec support
     OSS=on: Open Sound System support
     PULSEAUDIO=off: PulseAudio sound server support
     QT4=on: Qt 4 toolkit support
     SDL=on: Simple Direct Media Layer support
     TWOLAME=off: TwoLAME MP2 audio encoder support
     VAAPI=off: VAAPI (GPU video acceleration) support
     VDPAU=on: VDPAU (GPU video acceleration) support
     VORBIS=on: Ogg Vorbis audio codec support
     VPX=on: VP8/VP9 video codec support
     X264=on: H.264 video codec support via x264
     X265=off: H.265 video codec support via x265
     XVID=on: Xvid MPEG-4 video codec support
     XVIDEO=on: X11 Video extension library support
===> Use 'make config' to modify these settings

USES:
cmake:outsource pkgconfig iconv gmake compiler:features sqlite dos2unix execinfo gettext qmake:_env gnome

Master Sites:
  1. http://downloads.sourceforge.net/project/avidemux/avidemux/2.6.11/
  2. http://freefr.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  3. http://heanet.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  4. http://ignum.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  5. http://internode.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  6. http://iweb.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  7. http://jaist.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  8. http://kent.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  9. http://master.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  10. http://nchc.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  11. http://ncu.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  12. http://netcologne.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  13. http://superb-dca3.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  14. http://tenet.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  15. http://ufpr.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
  16. http://waix.dl.sourceforge.net/project/avidemux/avidemux/2.6.11/
Port Moves

Number of commits found: 27

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
20 Nov 2016 09:38:09
Original commit files touched by this commit  2.6.11_5
Revision:426566 This port version is marked as vulnerable.
gerald search for other commits by this committer
Bump PORTREVISIONS for ports depending on the canonical version of GCC and
lang/gcc which have moved from GCC 4.8.5 to GCC 4.9.4 (at least under some
circumstances such as versions of FreeBSD or platforms).

In particular that is ports with USE_GCC=yes, USE_GCC=any, or one of
gcc-c++11-lib, openmp, nestedfct, c++11-lib as well as c++14-lang,
c++11-lang, c++0x, c11 requested via USES=compiler.
30 Sep 2016 01:15:11
Original commit files touched by this commit  2.6.11_4
Revision:422956 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/libvpx: update 1.6.0

ABI is incompatible... or not? SONAME has changed but the removed vp10
symbols weren't actually exposed (and still aren't).

Note, FreeBSD 9.x now builds with Clang 3.4 because GCC 4.2 fails:

  vp9/encoder/x86/vp9_frame_scale_ssse3.c: In function 'eight_tap_row_ssse3':
  vp9/encoder/x86/vp9_frame_scale_ssse3.c:93: internal compiler error: in
simplify_binary_operation_1, at simplify-rtx.c:2563
  Please submit a full bug report,
  with preprocessed source if appropriate.
  See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Changes:	https://chromium.googlesource.com/webm/libvpx/+log/v1.5.0..v1.6.0
ACC
report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.5.0_to_1.6.0/compat_report.html
23 Sep 2016 13:14:29
Original commit files touched by this commit  2.6.11_3
Revision:422672 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/x264: update to 0.148.2708

Changes:	https://git.videolan.org/?p=x264.git;a=shortlog;h=86b71982e131eaa70125f8d0e725fcade9c4c677
Differential Revision:	https://reviews.freebsd.org/D7958
Approved by:	koobs (maintainer)
03 May 2016 01:02:26
Original commit files touched by this commit  2.6.11_2
Revision:414501 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/ffmpeg: enable VAAPI and VDPAU by default

Build VAAPI and VDPAU backends, so ports using system ffmpeg can take
advantage of GPU-assisted decoding. Also, propagate defaults to consumers.

Approved by:	cpm, multimedia (riggs), maintainer timeout (3 weeks)
Differential Revision:	https://reviews.freebsd.org/D5898
01 Apr 2016 14:16:20
Original commit files touched by this commit  2.6.11_1
Revision:412348 This port version is marked as vulnerable.
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories m, n, o, and p.

With hat:	portmgr
Sponsored by:	Absolight
14 Feb 2016 07:43:40
Original commit files touched by this commit  2.6.11_1
Revision:408848 This port version is marked as vulnerable.
riggs search for other commits by this committer
Fix dependencies: x265, opus, twolame, fribidi

x265 was not correctly detected due to link attempt to libdl.
Also avidemux now automatically detects the presence of opus,
twolame and fribidi during configure and builds additional
plugins for them.
This changeset introduces new OPTIONS FRIBIDI OPUS TWOLAME
(all non-default) and fixes plugins pkg-plist.
Bump PORTREVISION for avidemux-*

PR:		206945
Submitted by:	mi
Reviewed by:	riggs
MFH:		2016Q1
07 Feb 2016 19:43:56
Original commit files touched by this commit  2.6.11
Revision:408449 This port version is marked as vulnerable.
kwm search for other commits by this committer
Move Mk/bsd.gnome.mk and Mk/bsd.mate.mk to Mk/Uses/.

To use the GNOME or MATE components activate it by adding gnome
or mate to USES. The usage of USE_GNOME/INSTALL_ICONS and for
example GLIB_SCHEMAS has stayed the same.

Like with USES, the use of USE_GNOME and so after bsd.port.pre.mk
is now forbidden. And adapt ports that where still doing that.

Exp-runs done by:	antoine@

PR:		205432
Reviewed by:	antoine@, mat@
Approved by:	portmgr (antoine@)
Differential Revision:	https://reviews.freebsd.org/D3653
31 Jan 2016 23:28:55
Original commit files touched by this commit  2.6.11
Revision:407676 This port version is marked as vulnerable.
riggs search for other commits by this committer
Update to upstream version 2.6.11, security fixes for bundled ffmpeg

The bundled ffmpeg version has been upgraded to 2.7.2 which addresses
multiple vulnerabilities as reported in
https://vuxml.freebsd.org/freebsd/3d950687-b4c9-4a86-8478-c56743547af8.html
https://vuxml.freebsd.org/freebsd/80c66af0-d1c5-449e-bd31-63b12525ff88.html

Heads-up by:	jbeich
MFH:		2016Q1
Security:	CVE-2015-3395
		CVE-2015-6818
		CVE-2015-6819
		CVE-2015-6820
		CVE-2015-6821
		CVE-2015-6822
		CVE-2015-6823
		CVE-2015-6824
		CVE-2015-6825
		CVE-2015-6826
10 Jan 2016 16:44:24
Original commit files touched by this commit  2.6.10_4
Revision:405721 This port version is marked as vulnerable.
bapt search for other commits by this committer
Convert categories m* and m* to USES=sqlite and USES=firebird
27 Dec 2015 17:58:18
Original commit files touched by this commit  2.6.10_4
Revision:404583 This port version is marked as vulnerable.
riggs search for other commits by this committer
Switch to USES=execinfo

PR:		205618
Submitted by:	pawel
05 Dec 2015 09:15:41
Original commit files touched by this commit  2.6.10_4
Revision:403038 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/x265: update to 1.8

ABI isn't compatible, so bump PORTREVISION in consumers.

PR:		204990
Submitted by:	Anton Sayetsky <vsasjason@gmail.com>
14 Nov 2015 19:34:13
Original commit files touched by this commit  2.6.10_3
Revision:401587 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/libvpx: update 1.5.0

ABI isn't compatible, so bump PORTREVISION in consumers.

Changes:	https://chromium.googlesource.com/webm/libvpx/+log/e67d45d..v1.5.0
ACC
report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.4.0.488_1_to_1.5.0/compat_report.html
PR:		204478
Exp-run by:	antoine
Approved by:	ashish (maintainer)
09 Nov 2015 14:30:02
Original commit files touched by this commit  2.6.10_2
Revision:401100 This port version is marked as vulnerable.
amdmi3 search for other commits by this committer
Remove support for WANT_SDL/HAVE_SDL knobs

WANT_SDL/HAVE_SDL macros allowed a port to check which SDL components
are installed. This goes against the policy of avoiding automatic
dependencies, and there are actually no cases in the portstree where
these knobs are used properly, so axe them out.

Approved by:	portmgr (mat)
Differential Revision:	D4093
03 Jul 2015 07:02:44
Original commit files touched by this commit  2.6.10_2
Revision:391217 This port version is marked as vulnerable.
koobs search for other commits by this committer
multimedia/{lib}x264: Update to 0.144.2533 and major refactor

- Update to 0.144.2533 (from upstream stable branch) [1]
- Switch x264 and libx264 ports to master/slave ports respectively
- Bump PORTREVISION for dependent ports as the shared library version
  has changed.

multimedia/x264:

- Clean up and update "updating instructions" in Makefile header
- Tweak COMMENT
- Only LIB_DEPENDS on libx264 and add PLIST_FILES if this isn't the
  libx264 port.
- Allow COMMENT, USES, OPTIONS_*, CONFIGURE_ARGS to be overriden in
  libx264 port.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
13 Jun 2015 18:54:33
Original commit files touched by this commit  2.6.10_1
Revision:389480 This port version is marked as vulnerable.
riggs search for other commits by this committer
- Fix some shared libs were installed with wrong permissions
- Bump PORTREVISION

Reported by:	nox
13 Jun 2015 18:31:59
Original commit files touched by this commit  2.6.10
Revision:389477 This port version is marked as vulnerable.
riggs search for other commits by this committer
Move multimedia/avidemux26-* to multimedia/avidemux-*
09 Dec 2004 00:03:31
Original commit files touched by this commit  0.9.0.110_2
 This port version is marked as vulnerable.
sem search for other commits by this committer
Removed on maintainer request: no longer maintained by the author

PR:             ports/74865
Submitted by:   Anish Mistry <amistry(at)am-productions.biz> (maintainer)
11 Jun 2004 21:48:50
Original commit files touched by this commit  0.9.0.110_2
 This port version is marked as vulnerable.
lofi search for other commits by this committer
Update XviD to version 1.0.1, chase shared library bump through dependencies,
disable xvid support in avifile and bump PORTREVISION in transcode for
added dependency on xvid4conf.
31 Mar 2004 03:12:58
Original commit files touched by this commit  0.9.0.110_2
 This port version is marked as vulnerable.
trevor search for other commits by this committer
SIZEify (maintainer timeout)
06 Feb 2004 13:12:53
Original commit files touched by this commit  0.9.0.110_2
 This port version is marked as vulnerable.
trevor search for other commits by this committer
Use PLIST_FILES (bento-tested, marcus-reviewed).
04 Feb 2004 05:10:27
Original commit files touched by this commit  0.9.0.110_2
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Bump PORTREVISION on all ports that depend on gettext to aid with upgrading.

(Part 1)
01 Feb 2004 18:53:51
Original commit files touched by this commit  0.9.0.110_1
 This port version is marked as vulnerable.
pav search for other commits by this committer
- Mark as only for i386 and point users to port that works on all archs

PR:             ports/62225
Submitted by:   amistry <amistry@am-productions.biz> (maintainer)
07 Dec 2003 01:27:06
Original commit files touched by this commit  0.9.0.110_1
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Chase the libmad/libid3tag shared lib version.
12 Aug 2003 22:27:30
Original commit files touched by this commit  0.9.0.110
 This port version is marked as vulnerable.
lofi search for other commits by this committer
Update xvid to latest release and chase library dependencies in ports
that depend on it.

Approved by:    arved (Mentor)
10 May 2003 22:40:00
Original commit files touched by this commit  0.9.0.110
 This port version is marked as vulnerable.
adamw search for other commits by this committer
Update to 0.9.

**NOTE**: If you get a libtool error, reinstall mjpegtools.

Compilation against xvid is now functional.

PR:             51251
Submitted by:   Anish Mistry <amistry@am-productions.biz> (maintainer)
20 Apr 2003 19:35:03
Original commit files touched by this commit  0.9.0.101
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Remove USE_GNOMENG.
04 Apr 2003 01:38:40
Original commit files touched by this commit  0.9.0.101
 This port version is marked as vulnerable.
lioux search for other commits by this committer
After repo copy from graphics category to newly create multimedia
one, update all appropriate references: *_DEPENDS, CATEGORIES

Repo copied by:         cvs (joe)
Approved by:            portmgr (self & no objections)

Number of commits found: 27

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
apache24Dec 06
mod_http2-develDec 06
chromiumDec 05
ImageMagickDec 04
ImageMagick-nox11Dec 04
ImageMagick7Dec 04
ImageMagick7Dec 04
ImageMagick7-nox11Dec 04
ImageMagick7-nox11Dec 04
py-cryptographyDec 04
py-pillowDec 04
py3-pillowDec 04
qemuDec 04
qemu-develDec 04
qemu-sbrunoDec 04

35 vulnerabilities affecting 76 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 26938
Broken 313
Deprecated 149
Ignore 578
Forbidden 1
Restricted 214
No CDROM 82
Vulnerable 59
Expired 9
Set to expire 128
Interactive 0
new 24 hours 8
new 48 hours22
new 7 days59
new fortnight109
new month273

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.